Support » Fixing WordPress » I can’t post anything (sorry for the vague)

  • Resolved drmad

    (@drmad)


    Hi.

    I happily left my own CMS for WordPress in 2010, and I was very happy with it, until Gutenberg came… every now and then the “The editor has encountered an unexpected error.” message popped up, but after several tries, I was able to post.

    Until today. I cannot even see the editor. It just crashes.

    I disabled every plugin, no dice. I changed the theme to the built-in “Twenty Sixteen”, the same. I installed and activated “Health Check & Troubleshooting” plugin, nothing. I removed entirely my WordPress directory and installed a fresh copy of WordPress 5.1.1 from https://es.wordpress.org/download/ (I’m from Perú), and nothing. Nothing, nothing, nothing…

    The only thing I haven’t touch is the database (I don’t wanna lose my posts). Please, help 🙁

    Info:

    # lsb_release -d
    Description:    Ubuntu 18.04.2 LTS
    
    # egrep -v "(\*|^$)" wp-includes/version.php 
    <?php
    $wp_version = '5.1.1';
    $wp_db_version = 44719;
    $tinymce_version = '4920-20181217';
    $required_php_version = '5.2.4';
    $required_mysql_version = '5.0';
    $wp_local_package = 'es_ES';
    # php --version
    PHP 7.2.15-0ubuntu0.18.04.2 (cli) (built: Mar 22 2019 17:05:14) ( NTS )
    # mariadb --version | head -1
    mariadb  Ver 15.1 Distrib 10.1.38-MariaDB, for debian-linux-gnu (x86_64) using readline 5.2

    “Copy Post Text” button:

    Copies nothing. Clipboard was untouch.

    “Copy Error” button:

    this.wp.editor</Xs</<@https://drmad.org/blog/wp-includes/js/dist/editor.min.js?ver=9.0.11:55:241322
    i@https://drmad.org/blog/wp-includes/js/dist/vendor/lodash.min.js?ver=4.17.11:6:91
    x/An.filter@https://drmad.org/blog/wp-includes/js/dist/vendor/lodash.min.js?ver=4.17.11:99:327
    this.wp.editor</Xs<@https://drmad.org/blog/wp-includes/js/dist/editor.min.js?ver=9.0.11:55:241291
    ph@https://drmad.org/blog/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.6.3:97:88
    eg@https://drmad.org/blog/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.6.3:125:307
    fg@https://drmad.org/blog/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.6.3:126:168
    wc@https://drmad.org/blog/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.6.3:138:237
    fa@https://drmad.org/blog/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.6.3:137:115
    ng@https://drmad.org/blog/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.6.3:149:69
    Se@https://drmad.org/blog/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.6.3:40:45

    Firefox Console:

    JQMIGRATE: Migrate is installed, version 1.4.1 load-scripts.php:8:542
    onmozfullscreenchange está obsoleto. components.min.js:12:80821
    onmozfullscreenerror está obsoleto. components.min.js:12:80821
    TypeError: "e.visibility is undefined"
        Xs https://drmad.org/blog/wp-includes/js/dist/editor.min.js?ver=9.0.11:55
        Lodash 2
        Xs https://drmad.org/blog/wp-includes/js/dist/editor.min.js?ver=9.0.11:55
        Ed https://drmad.org/blog/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.6.3:86
        ph https://drmad.org/blog/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.6.3:98
        eg https://drmad.org/blog/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.6.3:125
        fg https://drmad.org/blog/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.6.3:126
        wc https://drmad.org/blog/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.6.3:138
        fa https://drmad.org/blog/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.6.3:137
        gg https://drmad.org/blog/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.6.3:135
        Ca https://drmad.org/blog/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.6.3:133
        enqueueSetState https://drmad.org/blog/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.6.3:191
        setState https://drmad.org/blog/wp-includes/js/dist/vendor/react.min.js?ver=16.6.3:20
        value https://drmad.org/blog/wp-includes/js/dist/data.min.js?ver=4.2.1:1
        n https://drmad.org/blog/wp-includes/js/dist/data.min.js?ver=4.2.1:1
        n https://drmad.org/blog/wp-includes/js/dist/data.min.js?ver=4.2.1:1
        h https://drmad.org/blog/wp-includes/js/dist/data.min.js?ver=4.2.1:1
        b https://drmad.org/blog/wp-includes/js/dist/data.min.js?ver=4.2.1:1
        y https://drmad.org/blog/wp-includes/js/dist/data.min.js?ver=4.2.1:1
        v https://drmad.org/blog/wp-includes/js/dist/data.min.js?ver=4.2.1:1
        l Redux
        dispatch https://drmad.org/blog/wp-includes/js/dist/data.min.js?ver=4.2.1:1
        Redux 4
        j https://drmad.org/blog/wp-includes/js/dist/vendor/wp-polyfill.min.js?ver=7.0.0:2
        j https://drmad.org/blog/wp-includes/js/dist/vendor/wp-polyfill.min.js?ver=7.0.0:2
        f https://drmad.org/blog/wp-includes/js/dist/vendor/wp-polyfill.min.js?ver=7.0.0:1
    react-dom.min.js:104:245

    The page I need help with: [log in to see the link]

Viewing 3 replies - 1 through 3 (of 3 total)
  • Moderator Bet Hannon

    (@bethannon1)

    Support Team Volunteer Coordinator

    Sounds like you have mostly eliminated WordPress as the issue.

    Perhaps there are browser extensions causing the issue: try using a different browser or incognito window.

    What browser & version are you using? (most current version?)

    Is it possible that your hosting company isn’t providing enough memory?

    Gutenberg requires more local memory from your computer. Is it possible that your are using a local machine without much RAM? Maybe try another computer or device?

    (You might try adding in the Gutenberg plugin, which will give you the most recent version of Gutenberg than you are getting in WP, which has many optimizations that make it less heavy to run.)

    drmad

    (@drmad)

    Hi @bethannon1

    It turns out a cookie (or cookies) were the problem… I just deleted every cookie for my web, logged in again, and now it’s working pretty good so far. I regret I didn’t take a look to (or copied) the cookies before delete them…

    As I was saying, my WordPress installation is (was) very old, perhaps a cookie from the beginning of Gutemberg was causing the problems now.

    Thanks for your time!

    Moderator Bet Hannon

    (@bethannon1)

    Support Team Volunteer Coordinator

    So glad you got it worked out! Cookies can indeed cause issues.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘I can’t post anything (sorry for the vague)’ is closed to new replies.